# 安播辅助服务程序说明

## 程序运行流程
1. 从~~超脑WebAPI~~ Redis取出基础信息，基础信息包括
    - 算法信息
    - 平台信息（摄像机信息）
2. 从总控WebAPI获取到相关的`处理规则`
3. 从超脑(也是Redis)获取到监测信息，信息包括
    - 是否带口罩
    - 人员计数等
4. 根据`处理规则`处理获取到的监测信息
5. 将处理过的信息写入到数据库中

## 使用到的地址
1. 超脑基础信息地址 [apifox](https://apifox.com/apidoc/shared-1f40509b-3aca-4c2c-9d8e-381b986b085a/api-183796683)
2. Redis地址
    - IP：http://172.16.36.80:30000/vos/
    - 端口：32222
    - 密码：Ff1z@TOFr^iwd%Ra
3. 总控数据库
    - SQL Server
        - 数据表：EQM_BJ
        - IP：192.1.3.105
        - 用户名：sa
        - 密码：Qwer1234
    - 达梦数据库
        - 数据表：EQM
        - IP:192.1.2.44
        - 密码：QWERT12345
        - 数据库：EQM_BJ
    - WebApi
        - 地址：http://192.1.3.133:31000/LocalSetup
        - 密码：HZlh

## 从行业超脑获取基础信息
1. 使用http从行业超脑获取到`算法列表`和`设备列表`
2. 这里使用一个线程单独读取，可能需要定时更新

## 从Redis获取数据
1. `Key`的组成：`%d : %s`, `DeviceID`, `算子编号`
2. 算子编号通过获取摄像头算法列表获取到这个设备的算法编号，目前不知道是哪个值