#ifndef SPASERVER_H
#define SPASERVER_H

#include "FromSuperBrain.h"
#include "FromRedis.h"


/**
 * 安播辅助提示系统服务类
 * 
 */
class SPAServer
{
public:
    SPAServer();
    ~SPAServer();

private:
    std::shared_ptr<spdlog::logger> m_logger = nullptr;

    FromSuperBrain m_fromSuperBrain;
    FromRedis m_fromRedis;
};

#endif /* SPASERVER_H */
