#ifndef TOEQMDATABASE_H
#define TOEQMDATABASE_H

#include "spdlog/spdlog.h"
#include "lhhttpapi.h"

class ToEQMDataBase
{
public:
    ToEQMDataBase();
    ~ToEQMDataBase();

    /* 初始化WebAPI */
    bool initWebApi(const QString& url,const QString& serverIP,const QString& serID);

private:
    std::shared_ptr<spdlog::logger> m_logger = nullptr;

    lhhttpapi* m_httpApi = nullptr;
    QString m_userToken;
};


#endif /* TOEQMDATABASE_H */
