
#include <iostream>

#include "spdlog/spdlog.h"
#include "SPAServer.h"
#include "LHLogInit.h"
#include "LHQLogAPI.h"

#include <QCoreApplication>

int main(int argc, char* argv[])
{
    QCoreApplication app(argc, argv);
    /* 初始化日志库 */
    initLog("SecurePlayAuxServer", g_apiLhQLog);
    auto logger = spdlog::get("main");
    if(logger == nullptr)
    {
        SPDLOG_ERROR("main logger is nullptr");
        return -1;
    }
    SPDLOG_LOGGER_INFO(logger, "★  ★  ★  ★  ★  ☆  SecurePlayAuxServer  ☆  ★  ★  ★  ★  ★");

    SPAServer server;

    return app.exec();
}

